דילוג לתוכן

FFmpeg API Compose

שילוב

מזהה מודל ffmpeg-api/compose
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

בקשה זו: ≈⁨‏0.001 ‏$⁩ 1 קרדיט API הרצה בדף הזה

קבלת מפתח API
Utility ווידאו לווידאו #ffmpeg

משלב כמה רצועות לווידאו אחד, עם רצועה חזותית אחת בדיוק וכל מספר של רצועות אודיו

Utility · נתונים (JSON)

התוצאה הראשונה שלך תופיע כאן

בנו בקשה למטה והריצו אותה עם מפתח ה־API שלכם. הפלטים מועתקים לאחסון שלנו ונשמרים לצמיתות או למשך 7 ימים ללא תשלום.

בנה בקשה

הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.

•חובה

רשימת רצועות להרכבת המדיה הסופית, הכוללת בדיוק רצועת וידאו או תמונה אחת ומספר בלתי מוגבל של רצועות אודיו.

POST /run/ffmpeg-api/compose?wait=20 הצעת מחיר → ⁨‏0.001 ‏$⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

הרצת הבקשה הזו

המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API

מידע על FFmpeg API Compose

בונה וידאו סופי מרשימת `tracks`. הרשימה חייבת להכיל בדיוק רצועה חזותית אחת, וידאו או תמונה, ויכולה לכלול כל מספר של רצועות אודיו. הפלט הוא JSON עם `video_url` ו־`thumbnail_url`.

פרמטרים

שםסוג ברירת מחדלמותר תיאור
tracksחובה
סוגobject[]
רשימת רצועות להרכבת המדיה הסופית, הכוללת בדיוק רצועת וידאו או תמונה אחת ומספר בלתי מוגבל של רצועות אודיו.
tracks[].idחובה
סוגstring
מזהה המזהה את הרצועה באופן ייחודי.
tracks[].typeחובה
סוגstring
קטגוריית הרצועה: 'video', 'audio' או 'image'.
tracks[].keyframesחובה
סוגobject[]
פריימי המפתח המרכיבים את הרצועה, שסופקו כרשימה.
tracks[].keyframes[].timestampחובה
סוגnumber
זמן ההתחלה של פריים המפתח, במילישניות.
tracks[].keyframes[].durationחובה
סוגnumber
אורך פריים המפתח, במילישניות.
tracks[].keyframes[].urlחובה
סוגstring
כתובת URL המספקת גישה לקובץ המדיה של פריים המפתח.
חובה

פלט

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/compose",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  },
  "output": {
    "video_url": "string",
    "thumbnail_url": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
הקבצים שלכם, הבחירה שלכםכל outputs[].url הוא עותק באחסון שלנו: נשמר לצמיתות (בתשלום לפי GB-חודש) או למשך 7 ימים ללא תשלום, בהתאם להגדרת החשבון או ל־?storage=.
אותו מבנה בכל מודלtype, url, content_type, width, height ו-duration, עבור תמונות, וידאו ואודיו כאחד. output הוא אובייקט התוצאה של המודל עצמו.
שדות הפלט
video_url
string (video URL)כתובת URL המפנה לווידאו שעובד.
thumbnail_url
stringכתובת URL המפנה לתמונה הממוזערת של הווידאו.

מודלים נוספים: ווידאו לווידאו

לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/ffmpeg-api/compose.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt